Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.6.7

Bug #17762 --no-use-agent is deprecated and prints warning
Submitted: 2010-08-20 12:33 UTC
From: alec Assigned: gauthierm
Status: Closed Package: Crypt_GPG (version 1.1.1)
PHP Version: Irrelevant OS:
Roadmaps: (Not assigned)    
Subscription  
Comments Add Comment Add patch


Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know! Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem : 14 - 4 = ?

 
 [2010-08-20 12:33 UTC] alec (Aleksander Machniak)
Description: ------------ This option does nothing since gnupg-1.4.7 and prints warning since 2007-01-30. Simple fix: --- Engine.old 2010-08-20 09:27:04.818725258 +0200 +++ Engine.php 2010-08-20 10:17:59.021247629 +0200 @@ -1406,7 +1408,9 @@ ); if (version_compare($version, '1.0.7', 'ge')) { - $defaultArguments[] = '--no-use-agent'; + if (version_compare($version, '1.4.7', 'lt')) { + $defaultArguments[] = '--no-use-agent'; + } $defaultArguments[] = '--no-permission-warning'; }

Comments

 [2010-08-20 18:34 UTC] gauthierm (Michael Gauthier)
Are you using GnuPG version 2 or greater? I've tested GnuPG 1.4.9 and 1.4.10 and neither create a warning when --no-use-agent is specified. Neither of these versions mentions the option being deprecated. If you have a link to docs that say it is a dummy option since 1.4.7 I will add this patch verbatim. GnuPG docs 2.x do say it is a dummy option and it dose cause a warning.
 [2010-08-20 18:34 UTC] gauthierm (Michael Gauthier)
-Status: Open +Status: Feedback
 [2010-08-23 10:35 UTC] alec (Aleksander Machniak)
Yes. I'm using gpg 2.0.15. I've found this by reviewing gnupg's cvs repository, so the change date is c.a. 2007-01-30, but maybe it was done only in 2.x line. I'm not sure.
 [2010-08-23 10:40 UTC] alec (Aleksander Machniak)
 [2010-08-23 10:52 UTC] alec (Aleksander Machniak)
I've checked this again. This touches only 2.x branch and it's true for 2.0.2 and greater.
 [2010-08-23 17:02 UTC] gauthierm (Michael Gauthier)
-Status: Feedback +Status: Closed -Assigned To: +Assigned To: gauthierm
This bug has been fixed in SVN. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better. Fixed in SVN in revision 302700. http://svn.php.net/viewvc?view=revision&revision=302700